/*
 *   Copyright (C) 2002,2003 by Jonathan Naylor G4KLX/HB9DRD
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef	FSK441Levels_H
#define	FSK441Levels_H

enum {
	Audio_Low,
	Audio_OK,
	Audio_High
};

class CFSK441Levels {

    public:
	CFSK441Levels();
	virtual ~CFSK441Levels();

	virtual void setAudioData(double* data, int count);
	virtual void setSpectrumData(int n, double* data, int count);
	virtual void setLevel(int level);

	virtual double getAudioData(int pixel) const;
	virtual double getSpectrumData(int n, int pixel) const;
	virtual int    getLevel() const;

    private:
	double* m_audioData;
	double* m_spectrumData[4];
	int     m_level;

	void fillinData(double* data, int count, double scale, double*& member);
};

#endif
