/*
 *   Copyright (C) 2002,2003 by Jonathan Naylor G4KLX/HB9DRD
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "JT44Send.h"
#include "JT44CardReceive.h"

#include "JT44Controller.h"

CJT44Controller::CJT44Controller(CSoundDev* soundDev, CPTTPort* pttPort) :
CController(soundDev, pttPort)
{
	wxASSERT(soundDev != NULL);
	wxASSERT(pttPort != NULL);
}

CJT44Controller::~CJT44Controller()
{
}

CSend* CJT44Controller::createSendThread(CSoundDev* soundDev, CPTTPort* pttPort)
{
	CSend* send = new CJT44Send(soundDev, pttPort);

	send->Create();
	send->Run();
	send->Pause();

	return send;
}

CReceive* CJT44Controller::createReceiveThread(CSoundDev* soundDev)
{
	CReceive* receive = new CJT44CardReceive(soundDev);

	receive->Create();
	receive->Run();
	receive->Pause();

	return receive;
}
