/*
 *   Copyright (C) 2002,2003 by Jonathan Naylor G4KLX/HB9DRD
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef	JT6MLevelGraph_H
#define	JT6MLevelGraph_H

#include <wx/wx.h>

#include "jt6m/JT6MLevels.h"

class CJT6MLevelGraph : public wxWindow {

    public:
	CJT6MLevelGraph(wxWindow* parent, int id, const wxPoint& pos, const wxSize& size, long style = 0L, const wxString& name = wxPanelNameStr);
	virtual ~CJT6MLevelGraph();

	virtual void addData(CJT6MLevels* levels);

	virtual void onPaint(wxPaintEvent& event);

    private:
	wxBitmap*  m_bitmap;
	wxColour** m_palette;

	DECLARE_EVENT_TABLE()

	void createPalette();

	void show(wxDC& dc);

	void clearGraph();
};

#endif
