/*
 *   Copyright (C) 2003 by Jonathan Naylor G4KLX
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef JT6MBurstData_H
#define	JT6MBurstData_H

#include <wx/wx.h>

#include "common/Average.h"

class CJT6MBurstData {

    public:
	CJT6MBurstData();
	virtual ~CJT6MBurstData();

	virtual void clear();
	virtual void setStartBurst();	
	virtual void setRatio(double ratio);
	virtual void setStartTime(int startTime);
	virtual void setData(double* v, double* c);

	virtual int  processBurst(bool singleTone);

	virtual bool     getInBurst() const;
	virtual int      getStartTime() const;
	virtual int      getLength() const;
	virtual int      getStrength(double noise) const;
	virtual wxString getMessage() const;

    private:
	wxString m_data;
	CAverage m_strength;
	int      m_startTime;
	bool     m_inBurst;
	double   m_ratio;
	wxString m_message;
};

#endif
